## org.eclipse.emf.ecore.xmi.impl
Class EMOFExtendedMetaData

    java.lang.Object
      org.eclipse.emf.ecore.util.BasicExtendedMetaData
          org.eclipse.emf.ecore.xmi.impl.EMOFExtendedMetaData

All Implemented Interfaces:
  ExtendedMetaData

    public class EMOFExtendedMetaData

extends BasicExtendedMetaData

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData
`BasicExtendedMetaData.EClassExtendedMetaDataImpl, BasicExtendedMetaData.EClassifierExtendedMetaData, BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl, BasicExtendedMetaData.EPackageExtendedMetaData, BasicExtendedMetaData.EPackageExtendedMetaDataImpl, BasicExtendedMetaData.EStructuralFeatureExtendedMetaData, BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl`

Field Summary
`static java.lang.String` `CONTENT_TYPE` The content type ID for EMOF.
`static java.lang.String` `ECORE_EDATATYPE_HREF_PREFIX`
`static java.lang.String` `EMOF_COMMENT_ANNOTATION_SOURCE`
`static java.lang.String` `EMOF_COMMENT_BODY`
`static java.lang.String` `EMOF_OWNED_COMMENT`
`static java.lang.String` `EMOF_PACKAGE_NS_PREFIX`
`static java.lang.String` `EMOF_PACKAGE_NS_URI`
`static java.lang.String` `EMOF_PACKAGE_NS_URI_2_0` See OMG Issue 77093 but note that it has a typo and that "orb" should be "org".
`static java.lang.String` `EMOF_PROPERTY_CLASS_NAME`
`static java.lang.String` `EMOF_PROPERTY_OPPOSITE_ROLE_NAME_ANNOTATION_SOURCE`
`static java.lang.String` `EMOF_TAG`
`static java.lang.String` `EMOF_TAG_ELEMENT`
`static java.lang.String` `EMOF_TAG_NAME`
`static java.lang.String` `EMOF_TAG_VALUE`
`static java.lang.String` `EMOF_XMI_EXTENDER`
`static java.lang.String` `EXTENSION`
`static java.lang.String[]` `MAPPED_ECORE_EDATATYPES`
`static java.lang.String` `MAPPED_EMOF_EDATATYPE_HREF_PREFIX`
`static java.lang.String` `MAPPED_EMOF_EDATATYPE_HREF_PREFIX_2_0`
`static java.lang.String[]` `MAPPED_EMOF_EDATATYPES`
`static java.lang.String` `TAG`
`static java.lang.String` `UNMAPPED_EMOF_EDATATYPE_HREF_PREFIX`
`static java.lang.String` `XMI_EXTENDER_ATTRIBUTE`
`static java.lang.String` `XMI_EXTENSION_ELEMENT`
`protected XMLResource.XMLMap` `xmlMap`

Fields inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData
`annotationMap, annotationURI, demandRegistry, extendedMetaDataHolderCache, registry, UNINITIALIZED_EDATA_TYPE, UNINITIALIZED_ESTRUCTURAL_FEATURE, UNINITIALIZED_INT, UNINITIALIZED_STRING`

Fields inherited from interface org.eclipse.emf.ecore.util.ExtendedMetaData

`ANNOTATION_URI, ATTRIBUTE_FEATURE, ATTRIBUTE_WILDCARD_FEATURE, COLLAPSE_WHITE_SPACE, CONTENT_KINDS, DERIVATION_KINDS, ELEMENT_FEATURE, ELEMENT_ONLY_CONTENT, ELEMENT_WILDCARD_FEATURE, EMPTY_CONTENT, FEATURE_KINDS, GROUP_FEATURE, INSTANCE, LAX_PROCESSING, LIST_DERIVATION, MIXED_CONTENT, PRESERVE_WHITE_SPACE, PROCESSING_KINDS, REPLACE_WHITE_SPACE, RESTRICTION_DERIVATION, SIMPLE_CONTENT, SIMPLE_FEATURE, SKIP_PROCESSING, STRICT_PROCESSING, UNION_DERIVATION, UNSPECIFIED_CONTENT, UNSPECIFIED_DERIVATION, UNSPECIFIED_FEATURE, UNSPECIFIED_PROCESSING, UNSPECIFIED_WHITE_SPACE, WHITE_SPACE_KINDS, XMI_URI, XML_SCHEMA_URI, XML_URI, XMLNS_PREFIX, XMLNS_URI, XSI_PREFIX, XSI_URI`

Constructor Summary
`EMOFExtendedMetaData(XMLResource.XMLMap xmlMap)`

Method Summary
`protected BasicExtendedMetaData.EPackageExtendedMetaData` `createEPackageExtendedMetaData(EPackage ePackage)`
`int` `getFeatureKind(EStructuralFeature feature)` Returns the kind of XML structure that should be used to represent the given structural feature.
`java.lang.String` `getName(EClassifier eClassifier)` Returns the XML name for a classifier.
`java.lang.String` `getName(EStructuralFeature eStructuralFeature)` Returns the XML name for a structural feature.
`java.lang.String` `getNamespace(EPackage ePackage)` Returns the namespace to use for model instance serializations of the specified package.
`EPackage` `getPackage(java.lang.String namespace)` Retrieves the package with the specified namespace URI from the package registry associated with this instance.
`EClassifier` `getType(EPackage ePackage, java.lang.String name)` Returns the classifier with the given XML name within the given package.

Methods inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData

`basicGetAffiliation, basicGetBaseType, basicGetContentKind, basicGetDerivationKind, basicGetEnumerationFacet, basicGetFeatureKind, basicGetFractionDigitsFacet, basicGetGroup, basicGetItemType, basicGetLengthFacet, basicGetMaxExclusiveFacet, basicGetMaxInclusiveFacet, basicGetMaxLengthFacet, basicGetMemberTypes, basicGetMinExclusiveFacet, basicGetMinInclusiveFacet, basicGetMinLengthFacet, basicGetName, basicGetName, basicGetNamespace, basicGetPatternFacet, basicGetProcessingKind, basicGetTotalDigitsFacet, basicGetWhiteSpaceFacet, basicGetWildcards, basicIsQualified, computePrefix, createEClassifierExtendedMetaData, createEStructuralFeatureExtendedMetaData, demandedPackages, demandFeature, demandFeature, demandPackage, demandType, getAffiliation, getAffiliation, getAllAttributes, getAllElements, getAnnotation, getAttribute, getAttribute, getAttributes, getAttributeWildcardAffiliation, getBaseType, getContentKind, getDerivationKind, getDocumentRoot, getElement, getElement, getElements, getElementWildcardAffiliation, getEncodedWildcards, getEnumerationFacet, getExtendedMetaData, getExtendedMetaData, getExtendedMetaData, getFractionDigitsFacet, getGroup, getItemType, getLengthFacet, getLocalAttribute, getLocalElement, getMaxExclusiveFacet, getMaxInclusiveFacet, getMaxLengthFacet, getMemberTypes, getMinExclusiveFacet, getMinInclusiveFacet, getMinLengthFacet, getMixedFeature, getNamespace, getNamespace, getPatternFacet, getProcessingKind, getQualifiedName, getQualifiedName, getSimpleFeature, getTotalDigitsFacet, getType, getWhiteSpaceFacet, getWildcards, getXMLNSPrefixMapFeature, getXSISchemaLocationMapFeature, isAnonymous, isDocumentRoot, isFeatureKindSpecific, isFeatureNamespaceMatchingLax, isQualified, matches, matches, putPackage, setAffiliation, setBaseType, setContentKind, setDocumentRoot, setEnumerationFacet, setFeatureKind, setFractionDigitsFacet, setGroup, setItemType, setLengthFacet, setMaxExclusiveFacet, setMaxInclusiveFacet, setMaxLengthFacet, setMemberTypes, setMinExclusiveFacet, setMinInclusiveFacet, setMinLengthFacet, setName, setName, setNamespace, setPatternFacet, setProcessingKind, setQualified, setTotalDigitsFacet, setWhiteSpaceFacet, setWildcards`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMOF_PACKAGE_NS_PREFIX

    public static final java.lang.String EMOF_PACKAGE_NS_PREFIX

See Also:
  Constant Field Values

### EMOF_PACKAGE_NS_URI_2_0

    public static final java.lang.String EMOF_PACKAGE_NS_URI_2_0

  See OMG Issue 77093 but note that it has a typo and that "orb" should be "org".

  Since:
    2.4
  See Also:
    Constant Field Values

### EMOF_PACKAGE_NS_URI

    public static final java.lang.String EMOF_PACKAGE_NS_URI

See Also:
  Constant Field Values

### EXTENSION

    public static final java.lang.String EXTENSION

See Also:
  Constant Field Values

### XMI_EXTENSION_ELEMENT

    public static final java.lang.String XMI_EXTENSION_ELEMENT

See Also:
  Constant Field Values

### XMI_EXTENDER_ATTRIBUTE

    public static final java.lang.String XMI_EXTENDER_ATTRIBUTE

See Also:
  Constant Field Values

### EMOF_XMI_EXTENDER

    public static final java.lang.String EMOF_XMI_EXTENDER

See Also:
  Constant Field Values

### ECORE_EDATATYPE_HREF_PREFIX

    public static final java.lang.String ECORE_EDATATYPE_HREF_PREFIX

See Also:
  Constant Field Values

### UNMAPPED_EMOF_EDATATYPE_HREF_PREFIX

    public static final java.lang.String UNMAPPED_EMOF_EDATATYPE_HREF_PREFIX

See Also:
  Constant Field Values

### MAPPED_EMOF_EDATATYPE_HREF_PREFIX

    public static final java.lang.String MAPPED_EMOF_EDATATYPE_HREF_PREFIX

See Also:
  Constant Field Values

### MAPPED_EMOF_EDATATYPE_HREF_PREFIX_2_0

    public static final java.lang.String MAPPED_EMOF_EDATATYPE_HREF_PREFIX_2_0

Since:
  2.4
See Also:
  Constant Field Values

### MAPPED_ECORE_EDATATYPES

    public static final java.lang.String[] MAPPED_ECORE_EDATATYPES

### MAPPED_EMOF_EDATATYPES

    public static final java.lang.String[] MAPPED_EMOF_EDATATYPES

### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

### EMOF_TAG

    public static final java.lang.String EMOF_TAG

See Also:
  Constant Field Values

### EMOF_TAG_NAME

    public static final java.lang.String EMOF_TAG_NAME

See Also:
  Constant Field Values

### EMOF_TAG_VALUE

    public static final java.lang.String EMOF_TAG_VALUE

See Also:
  Constant Field Values

### EMOF_TAG_ELEMENT

    public static final java.lang.String EMOF_TAG_ELEMENT

See Also:
  Constant Field Values

### EMOF_OWNED_COMMENT

    public static final java.lang.String EMOF_OWNED_COMMENT

See Also:
  Constant Field Values

### EMOF_COMMENT_BODY

    public static final java.lang.String EMOF_COMMENT_BODY

See Also:
  Constant Field Values

### EMOF_COMMENT_ANNOTATION_SOURCE

    public static final java.lang.String EMOF_COMMENT_ANNOTATION_SOURCE

See Also:
  Constant Field Values

### EMOF_PROPERTY_CLASS_NAME

    public static final java.lang.String EMOF_PROPERTY_CLASS_NAME

See Also:
  Constant Field Values

### EMOF_PROPERTY_OPPOSITE_ROLE_NAME_ANNOTATION_SOURCE

    public static final java.lang.String EMOF_PROPERTY_OPPOSITE_ROLE_NAME_ANNOTATION_SOURCE

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

  The content type ID for EMOF.

  Since:
    2.4
  See Also:
    Constant Field Values

### xmlMap

    protected XMLResource.XMLMap xmlMap

Constructor Detail

### EMOFExtendedMetaData

    public EMOFExtendedMetaData(XMLResource.XMLMap xmlMap)

Method Detail

### getNamespace

    public java.lang.String getNamespace(EPackage ePackage)

  Description copied from interface: `ExtendedMetaData`
  Returns the namespace to use for model instance serializations of the specified package. If namespace qualification is being used, this is the package's namespace URI; if not, it is simply null.

  details key: "namespace"

  Specified by:
    `getNamespace` in interface `ExtendedMetaData`
  Overrides:
    `getNamespace` in class `BasicExtendedMetaData`

### getPackage

    public EPackage getPackage(java.lang.String namespace)

  Description copied from interface: `ExtendedMetaData`
  Retrieves the package with the specified namespace URI from the package registry associated with this instance.

  Specified by:
    `getPackage` in interface `ExtendedMetaData`
  Overrides:
    `getPackage` in class `BasicExtendedMetaData`

### getName

    public java.lang.String getName(EClassifier eClassifier)

  Description copied from interface: `ExtendedMetaData`
  Returns the XML name for a classifier. This is the original name specified for the type in the schema, which may be mapped into a valid and conventional Java class name for the Ecore class.

  details key: "name"

  Specified by:
    `getName` in interface `ExtendedMetaData`
  Overrides:
    `getName` in class `BasicExtendedMetaData`

### getName

    public java.lang.String getName(EStructuralFeature eStructuralFeature)

  Description copied from interface: `ExtendedMetaData`
  Returns the XML name for a structural feature. This is the original name specified for the element or attribute in the schema, which may be mapped into a valid and conventional Java field name for the Ecore structural feature. This is also the name which should be used for the element or attribute in instance documents.

  details key: "name"

  Specified by:
    `getName` in interface `ExtendedMetaData`
  Overrides:
    `getName` in class `BasicExtendedMetaData`

### getType

    public EClassifier getType(EPackage ePackage,
                               java.lang.String name)

  Description copied from interface: `ExtendedMetaData`
  Returns the classifier with the given XML name within the given package.

  Specified by:
    `getType` in interface `ExtendedMetaData`
  Overrides:
    `getType` in class `BasicExtendedMetaData`

### getFeatureKind

    public int getFeatureKind(EStructuralFeature feature)

  Description copied from interface: `ExtendedMetaData`
  Returns the kind of XML structure that should be used to represent the given structural feature.

  details key: "kind"

  Specified by:
    `getFeatureKind` in interface `ExtendedMetaData`
  Overrides:
    `getFeatureKind` in class `BasicExtendedMetaData`
  See Also:
    `ExtendedMetaData.UNSPECIFIED_FEATURE`, `ExtendedMetaData.SIMPLE_FEATURE`, `ExtendedMetaData.ATTRIBUTE_FEATURE`, `ExtendedMetaData.ATTRIBUTE_WILDCARD_FEATURE`, `ExtendedMetaData.ELEMENT_FEATURE`, `ExtendedMetaData.ELEMENT_WILDCARD_FEATURE`, `ExtendedMetaData.GROUP_FEATURE`

### createEPackageExtendedMetaData

    protected BasicExtendedMetaData.EPackageExtendedMetaData createEPackageExtendedMetaData(EPackage ePackage)

  Overrides:
    `createEPackageExtendedMetaData` in class `BasicExtendedMetaData`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.